## golang-github-chai2010-gettext-go 0.0~git20191225.6b9f4b1

=== examples/Makefile ===
# Copyright 2013 ChaiShushan <chaishushan{AT}gmail.com>. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

default:
	msgfmt -o local/default/LC_MESSAGES/hello.mo local/default/LC_MESSAGES/hello.po
	msgfmt -o local/zh_CN/LC_MESSAGES/hello.mo   local/zh_CN/LC_MESSAGES/hello.po
	msgfmt -o local/zh_TW/LC_MESSAGES/hello.mo   local/zh_TW/LC_MESSAGES/hello.po
	7z a -tzip -scsUTF-8 local.zip local
	go run hello.go

clean:
	rm local.zip

=== debian/changelog ===
golang-github-chai2010-gettext-go (0.0~git20191225.6b9f4b1-2) unstable; urgency=medium

  * Rebuild for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 08 Mar 2020 03:42:48 +0800

golang-github-chai2010-gettext-go (0.0~git20191225.6b9f4b1-1) unstable; urgency=medium

  * Initial release (Closes: #863593)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 09 Feb 2020 03:12:24 +0800

=== debian/control ===
Source: golang-github-chai2010-gettext-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang
Build-Depends-Indep: golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-chai2010-gettext-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-chai2010-gettext-go.git
Homepage: https://github.com/chai2010/gettext-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/chai2010/gettext-go

Package: golang-github-chai2010-gettext-go-dev
Architecture: all
Depends: ${misc:Depends}
Description: GNU gettext for Go (library)
 Package gettext implements a basic GNU's gettext library

=== debian/rules ===
#!/usr/bin/make -f

# needed by tests
export DH_GOLANG_INSTALL_EXTRA := examples/local.zip examples/local

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure
	rm -v _build/src/github.com/chai2010/gettext-go/examples/hello.go

override_dh_strip_nondeterminism:
	# ignore testdata
	dh_strip_nondeterminism -Xexamples -Xtestdata

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/chai2010/gettext-go.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-chai2010-gettext-go-\$1\.tar\.gz/, \
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/chai2010/gettext-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-chai2010-gettext-go 1.0.2

=== debian/changelog ===
golang-github-chai2010-gettext-go (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Update section to golang
  * Update debhelper-compat to 13
  * Update Standards-Version to 4.6.2 (no changes)
  * Add Multi-Arch hint
  * Exclude cmd when building

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Jul 2023 19:15:48 +0800

=== debian/control ===
Source: golang-github-chai2010-gettext-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang
Build-Depends-Indep: golang-any
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-chai2010-gettext-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-chai2010-gettext-go.git
Homepage: https://github.com/chai2010/gettext-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/chai2010/gettext-go

Package: golang-github-chai2010-gettext-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNU gettext for Go (library)
 Package gettext implements a basic GNU's gettext library

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 # needed by tests
-export DH_GOLANG_INSTALL_EXTRA := examples/local.zip examples/local
+export DH_GOLANG_INSTALL_EXTRA := examples/locale.zip examples/locale
+export DH_GOLANG_EXCLUDES := cmd
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/chai2010/gettext-go.git \
  refs/tags/v?@ANY_VERSION@ debian
